package jp.agentec.abook.abv.bl.data.tables;

import java.util.ArrayList;
import java.util.List;

import jp.agentec.abook.abv.bl.common.db.SQLiteDatabase;

public class MServiceOption extends SQLiteTableScript {
	
	public MServiceOption() {
	}
	
	@Override
	public List<String> getCreateScript(int version) {
		List<String> ddl = new ArrayList<String>();
		StringBuffer sql = new StringBuffer();
		
		//	since 1.0.0
		sql.append(" CREATE TABLE m_service_option ( ");
		sql.append("        service_option_id INTEGER NOT NULL ");
		sql.append("      , service_option_name VARCHAR(80) NOT NULL ");
		sql.append("      , service_option_disp_name VARCHAR(128) ");
		sql.append("      , val VARCHAR(256) ");
		sql.append("      , PRIMARY KEY (service_option_id) ");
		sql.append(" ) ");
		
		ddl.add(sql.toString());
		
		return ddl;
	}

	@Override
	public List<String> getUpgradeScript(int oldVersion, int newVersion) {
		return null;
	}

	@Override
	public List<String> getMigrationScript(SQLiteDatabase databaseConnection, int oldVersion, int newVersion, Object... params) {
		return null;
	}

}
